Skip to main content
GET
List threads and messages on an inbox

Authorizations

x-token
string
header
required

Path Parameters

channelId
string
required

External channel meta ID (meta.id) of the inbox.

Query Parameters

dateFrom
string<date-time>

ISO date. Only threads with activity at or after this time.

dateTo
string<date-time>

ISO date, exclusive. Range must not exceed 400 days.

direction
enum<string>

Filter to threads whose most recent message went this way.

Available options:
in,
out
includeJunk
boolean
default:false

Include threads classified as junk/automated.

page
integer
default:0

Zero-based page number (0–9999).

pageSize
integer
default:20

Threads per page.

Required range: x <= 200

Response

Threads with their messages and metrics.

data
object[]
count
integer

Total matching threads across all pages.

page
integer
pageSize
integer